<?php




function mod_amblogs_v2($module_id,$cfg){

	$inCore  = cmsCore::getInstance();
	$inDB    = cmsDatabase::getInstance();
	$inUser  = cmsUser::getInstance();

if($cfg['onlyplus']==1)
{
	$onlyplus=" and p.rating>=0 ";
}else{$onlyplus="";}

if($cfg['sort']=="best_w")
{
	$add=$onlyplus." and p.pubdate >= DATE_SUB(CURRENT_DATE, INTERVAL 7 DAY)  order by p.hits desc";
}
else if($cfg['sort']=="best_m")
{
	$add=$onlyplus." and p.pubdate >= DATE_SUB(CURRENT_DATE, INTERVAL 30 DAY)  order by p.hits desc";
}
else if($cfg['sort']=="bestr_w")
{
	$add=$onlyplus." and p.pubdate >= DATE_SUB(CURRENT_DATE, INTERVAL 7 DAY)  order by p.rating desc";
}
else if($cfg['sort']=="bestr_m")
{
	$add=$onlyplus." and p.pubdate >= DATE_SUB(CURRENT_DATE, INTERVAL 30 DAY)  order by p.rating desc";
}
else
{
	$add=$onlyplus." order by p.pubdate desc";
}



if($cfg['blog_id']>"0")
{
	$add=" and p.blog_id='".$cfg['blog_id']."' ".$add;
}

if($cfg['owner']=="club")
{
$sql="SELECT b.title tb, b.user_id uid, b.seolink bseolink, b.owner,  p.* FROM cms_blogs b 
LEFT JOIN cms_blog_posts p ON p.blog_id=b.id
WHERE b.owner = 'club' and p.published='1' ".$add." LIMIT ".$cfg['shownum'].";";
}
else if($cfg['owner']=="user")
{
	$sql="SELECT b.title tb, b.user_id uid, b.seolink bseolink, b.owner,  p.* FROM cms_blogs b 
LEFT JOIN cms_blog_posts p ON p.blog_id=b.id
WHERE b.owner = 'user' and p.published='1'  ".$add."   LIMIT ".$cfg['shownum'].";";
}
else if($cfg['owner']=="all")
{
	$sql="SELECT b.title tb, b.user_id uid, b.seolink bseolink, b.owner, p.* FROM cms_blogs b 
LEFT JOIN cms_blog_posts p ON p.blog_id=b.id
WHERE p.published='1'  ".$add."   LIMIT ".$cfg['shownum'].";";
}


	$result = $inDB->query($sql);
	if ($inDB->num_rows($result))
			{
				$posts_amblogs=array();



		while($posts = $inDB->fetch_assoc($result))
		{ $cnt=0;

			$posts['author_link']=$inUser->getGenderLink($posts['user_id']);
			
			$ph=explode("|",$posts['photos']);
			$cnt=count($ph)-1;
			
			if(file_exists(PATH.$ph[0]) and strlen($ph[0])>1)
			{
				$img=$ph[0];
			}
			else
			{
				$img="/images/clubs/small/nopic.jpg";
			}
			
			
			if($posts['owner']=="club")
			{
$posts['link']='/clubs/'.$posts['uid'].'_'.$posts['seolink'].'.html';
				$posts['comments']   = $posts['comments'] ? $inCore->getCommentsCount('club_post', $posts['id']) : false;
			}
			else
			{
				$posts['link']='/blogs/'.$posts['bseolink'].'/'.$posts['seolink'].'.html';
				$posts['comments']   = $posts['comments'] ? $inCore->getCommentsCount('blog', $posts['id']) : false;
			}
			
			$posts['fpubdate']=$inCore->dateformat($posts['pubdate'], true, true);
			$posts['image']=$img;

			if($cfg['symbt']>0)
			{
				
				$title=mb_substr($posts['title'],0,$cfg['symbt']);
				if(mb_strlen($posts['title'])>$cfg['symbt'])
				{
					$title.="...";
				}
				$posts['title_cut']=$title;
			}
			else
			{
				$posts['title_cut']=$posts['title'];
			}


			if($posts['rating']>0){$posts['rating']="<span style='color:green'>+".$posts['rating']."</span>";}
			else if($posts['rating']==0) {$posts['rating']="<span>".$posts['rating']."</span>";}
			else {$posts['rating']="<span style='color:red'>".$posts['rating']."</span>";}


			$style_time="";
			if(!empty($cfg['color']))
			{
				$style_time="background-color:#".$cfg['color'];
			}



			$style_item="";
			if(!empty($cfg['width']))
			{
				$style_item.="width:".$cfg['width'].";";
			}
			if(!empty($cfg['height']))
			{
				$style_item.="height:".$cfg['height'].";";
			}
			
		$posts['style_item']=$style_item;
		$posts['style_time']=$style_time;
		$posts['content_html']  = preg_replace('/\[(cut=)\s*(.*?)\]/ui', '', $posts['content_html']);
		$posts['content_html']= mb_substr(strip_tags($posts['content_html']),0,$cfg['symb']);
	
		$posts_amblogs[]=$posts;
		unset($ph);
		}

		if(!$posts_amblogs){ return false; }

			cmsPage::initTemplate('modules', 'amblogs_v2')->
            assign('posts', $posts_amblogs)->
            assign('cfg', $cfg)->
            display('mod_amblogs_v2.tpl');
	}
	else
	{
		echo 'Блоги отсутствуют!';
	}
	

	
	

	return true;

}
?>